Instalando PHP para la linea de comando 9

¿Quí© es PHP CLI?

CLI de PHP es una interfaz corta de PHP para la lí­nea de comandos. Como su nombre lo implica, esta es una manera de utilizar PHP en el sistema de lí­nea de comandos. En otras palabras, es una forma de ejecutar scripts de PHP que no se encuentran en un servidor web (como el servidor web Apache o IIS de Microsoft).

La personas hablan de PHP y piensan en desarrollo web, ven a Php como una herramienta del lado del servidor. Sin embargo, PHP CLI aplica todas las ventajas de PHP a las secuencias de comandos del shell las cualees permiten crear scripts de servicios del lado del servidor o aplicaciones de sistema hasta con GUI.

PHP CLI está disponible para todos los sistemas operativos: Linux, Windows, OSX, Solaris.

¿Por quí© usar PHP CLI?

Uno desea utilizar PHP CLI SAPI Simplemente porque hay varias ventajas en ser capaz de ejecutar código PHP desde la lí­nea de comandos tales como:

  • No hay necesidad de aprender otro lenguaje de desarrollo, tales como Perl, Bash o Awk
  • Programar y correr tareas desde CRON escritas en php
  • Hacer aplicaciones GUI con PHP y GTK
  • Reusar sus componentes actuales
  • Escribir robustos guiones o scripts para su sistema mediante el uso de la capacidad de PHP5 multithread
  • Acceso a STDIN, STDOUT, STERR del sistema operativo con PHP

Las populares distribuciones de Linux (como Ubuntu, Debian, Fedora Core, Suse, etc) permiten instalar PHP CLI desde el gestor de paquetes (por ejemplo, Synaptic o similar) con un par de clics de ratón. Esto hace instalación sin problemas y podrás empezar a utilizar en un segundo!

Si usted tiene una instalación estandar de PHP para el servidor web Apache, entonces hay muy alta probabilidad de que usted ya tiene CLI de PHP instalado en su sistema. Las posibilidades son aún mayores si su sistema está corriendo Linux.

De lo contrario, al querer ejecutar algun scrip de PhP desde la linea de comandos, Linux le mostrara este error:

 fher98@deathbian:~$ php
/usr/bin/env: php: No such file or directory

Incluso en instalaciones de Php 5.2.x los unicos archivos de Php en /usr/bin son, /usr/bin/php-cgi y /usr/bin/php5-cgi. Por lo cual no podran ejecutar sus Php desde la consola. Para resolver esto pueden crear un link simbolico en /usr/bin/ desde php a php5-cgi. Luego al ejecutar el comando which php, les mostrara donde encuentra el comando php.

Instalando PhP CLI sobre Debian / Ubuntu

Si han seguido la guia de instalacion de Apache/Php y ahora desean correr paginas de Php desde la linea de comandos es necesario hacer la instalacion del Php CLI.

deathbian:~# apt-get install php4-cli
O
deathbian:~# apt-get install php5-cli

Para comprobar que nuestra instalacion fue exitosa, tecleamos:

 fher98@deathbian:~$ php -v
PHP 5.1.6 (cli) (built: Jul 16 2008 19:53:00)
Copyright (c) 1997-2006 The PHP Group
Zend Engine v2.1.0, Copyright (c) 1998-2006 Zend Technologies

Terminos de busqueda

  • comandos php
  • Call to undefined function dl()
  • php ejecutar comando linux
  • ejecutar php desde consola
  • ejecutar php desde consola linux
  • instalar php cli
  • comando para instalar php en linux
  • ejecutar comando CURL
  • 9 thoughts on “Instalando PHP para la linea de comando

    1. Reply READ Sep 17,2009 18:26

      ACTIVAR PHP

    2. Reply Rodrigo Garcia Oct 7,2009 07:26

      estimados,

      tengo este warning!! favor me pueden ayudar a resolver este problema

      root@ti:/# php5 -v
      PHP Warning: PHP Startup: Unable to load dynamic library ‘/usr/lib/php5/20060613+lfs/php_mapscript.so’ – /usr/lib/php5/20060613+lfs/php_mapscript.so: cannot open shared object file: No such file or directory in Unknown on line 0
      LibClamAV Warning: ***********************************************************
      LibClamAV Warning: *** This version of the ClamAV engine is outdated. ***
      LibClamAV Warning: *** DON’T PANIC! Read http://www.clamav.net/support/faq ***
      LibClamAV Warning: ***********************************************************
      LibClamAV Warning: ***********************************************************
      LibClamAV Warning: *** This version of the ClamAV engine is outdated. ***
      LibClamAV Warning: *** DON’T PANIC! Read http://www.clamav.net/support/faq ***
      LibClamAV Warning: ***********************************************************
      PHP Warning: Cannot load module ‘pdo_dblib’ because required module ‘pdo’ is not loaded in Unknown on line 0
      PHP 5.2.4-2ubuntu5.7 with Suhosin-Patch 0.9.6.2 (cli) (built: Aug 21 2009 19:52:39)
      Copyright (c) 1997-2007 The PHP Group
      Zend Engine v2.2.0, Copyright (c) 1998-2007 Zend Technologies
      with Xdebug v2.0.3, Copyright (c) 2002-2007, by Derick Rethans

    3. Reply Stalin Dec 15,2009 10:44

      A mi me sale este error:

      Fatal error: Call to undefined function dl() in /usr/local/apache2/htdocs/index1.php on line 4

      Podrían indicarme a que se debe este error???

      Gracias

    4. Reply Stalin Dec 18,2009 09:46

      Gracias por responder…. En realidad estoy tratando de instalar mapserver con soporte para PHPMapscript y a la hora de cargar la extension php_mapscript.so es donde me produce el problema…

      Cuando creo un archivo php con el siguiente contenido:

      Me devuelve toda la información referente a php.

      El problema surge cuando quiero cargar la libreria php_mapscript.so. Para esto hago un archivo php con el siguiente código:

      Y ahí es cuando el navegador me devuelve el siguiente error:

      Fatal error: Call to undefined function dl() in /usr/local/apache2/htdocs/index1.php on line 2

      Gracias de nuevo por su ayuda

    5. Reply Miguel Feb 24,2010 05:46

      Hola.

      Stalin ¿conseguiste solucionar el problema? ¿cómo?

      A mi me pasa lo mismo.
      Además me lo da cuando reinicio el htppd en el fichero /etc/httpd/logs/error_log e intenta cargar el php_mapscript.ini-

      Gracias por la ayuda.
      Saludos.

      • Reply Stalin Feb 25,2010 09:40

        Hola Miguel….

        En realidad aún no he podido solucionar el problema… sigo buscando una solución….

        Si encuentras algo avísame

        • Reply Miguel Feb 26,2010 05:15

          Hola.

          Conseguí solucionar el tema PERO no se que es lo que fallaba y por desesperación empecé de nuevo.

          Mi solución fue:
          – Volver a instalar todo de nuevo (con SSOO inclusive)
          – Emplear las últimas versiones de las librerías de las que depende o puede depender
          – Además compilé las librerías Curl y Geos (antes las instalaba desde repositorios)

          Creo que le problema no estaba en el Mapscript (de hecho, como comentan, desde la línea de comandos funcionaba correctamente); creo que el problema estaba en una de las librerías de las que depende pero por más que busqué no encontré nada de nada.

          Siento no poderte dar más información.
          Suerte.
          Saludos.

    Comentario, Preguntas o agradecimientos?

    %d bloggers like this: